Subject: Re: [FIAT-dev] ffc compiler error

From: Anders Logg <[email-masked]>
Date: Tue, 04 Sep 2007 22:34:08 +0200

ok, thanks for spotting this.

Rob, it looks like numbering.py went missing again in 0.3.2. It was 
missing in 0.3.1 also and was added in 0.3.1-1. Could you make a new 
release with numbering.py included?

/Anders

Andrey wrote:
> Thank you, for advice. The command you mentioned
> (# python >>> import FIAT) works - it does not produce any error message.
> 
> But it already becomes clear that the trouble was in missed file in
> FIAT-0.3.2 package. It is “numbering.py”. I took it from
> http://www.fenics.org/pub/software/fiat/snapshot/fiat-snapshot.tar.gz
> and put to FIAT installation directory. Now ffc compiler works.
> 
> Best regards,
> Andrey
> 
>> Looks like you didn't get FIAT installed correctly. (The FFC error message
>> is a little cryptic here.)
> 
>> What if you do the following:
> 
>> # python
>>>>> import FIAT
> 
>> Does that work?
> 
>> /Anders
> 
> 
>>> Hello, developers of Fenics!
>>>
>>> I downloaded and installed the following packages:
>>>
>>> numpy-1.0.3.1
>>> FIAT-0.3.2
>>> ufc-1.0
>>> ffc-0.4.2
>>> dolfin-0.7.1
>>>
>>> using python-2.5 under Windows XP cygwin environment.
>>> Then tried to compile example:
>>> ffc Poisson.form
>>> and have got the following message:
>>> -------------------------------------------------
>>> *** Warning: Unable to reorder entities. You need to patch or update your
>>> *** Warning: installation of FIAT. Variable numbering_scheme is missing.
>>> *** Warning: Results may be incorrect for higher order elements on tets
>>> Traceback (most recent call last):
>>>   File "/usr/bin/ffc", line 26, in <module>
>>>     from ffc.common.debug import *
>>>   File "/usr/lib/python2.5/site-packages/ffc/__init__.py", line 14, in
>>> <module>
>>>     from ffc.fem.finiteelement import FiniteElement
>>>   File "/usr/lib/python2.5/site-packages/ffc/fem/finiteelement.py", line
>>> 14, in <module>
>>>     from FIAT.shapes import *
>>>   File "/usr/lib/python2.5/site-packages/FIAT/shapes.py", line 19, in
>>> <module>
>>>     import numbering
>>> ImportError: No module named numbering
>>> -------------------------------------------------
>>>
>>> After that I installed all the set of packages under Debian,
>>> and have got the same result.
>>>
>>> This is probably a bug in software.
>>> In any case I could not force ffc to work.
>>>
>>> Best regards,
>>> Andrey
> 
>